/*
* essai avec des classes d'objets
* objectif = comprendre "bestioles" de Pol
* 
* source cet essai : alObjets1 à 3
* http://learningprocessing.com/examples/chp10/example-10-03-intersection
* 
* 
******* ce que j'en retiens
* On peut faire intéragir des objets entre eux
* ici les balles s'arrêtent quand elles approchent un vélo 
* puis repartent
*
*******
*/


int MaxBalls = 20 ;
Velo myVelo1; 
Velo myVelo2;
Ball[] balls = new Ball[MaxBalls] ; // // je peux avoir jusqu'à MaxBalls balles

void setup() {
  size(480, 270);
  // initialiser les vélos 
  myVelo1 = new Velo(color(151,0,0), 0, 200, 0.1);  
  myVelo2 = new Velo(color(51), 0, 100, 0.2);  
  
  // initialiser les balles
  for (int i = 0; i < balls.length; i ++ ) {
    // diamètre
    balls[i] = new Ball ( random(20) ); 
  }
}

void draw() {
  background(255);
  for (int i = 0; i < balls.length; i++) { 
    balls[i].display();   
    myVelo1.display(); 
    myVelo2.display(); 
    myVelo1.move();
    myVelo2.move();    
    if ( !balls[i].intersect(myVelo1) && !balls[i].intersect(myVelo2) ) {
      balls[i].move();      
    }      
  }
}

// Les classes Car, Ball et Velo sont définies dans un autre script, dans le même répertoire